package com.multictrl.modules.business.service;

import com.multictrl.modules.business.dto.remote.control.LightFineTuningSet;

/**
 * 远程控制
 *
 * @author Sdy
 * @since 1.0.0 2026/5/21
 */
public interface RemoteService {

    //夜景模式设置
    String drcCameraNightModeSet(String dockSn, Integer mode);

    //降噪等级设置
    String drcCameraDenoiseLevelSet(String dockSn, Integer level);

    //黑白夜视使能
    String drcCameraNightVisionEnable(String dockSn, Boolean enable);

    //近红外补光使能
    String drcInfraredFillLightEnable(String dockSn, Boolean enable);

    //探照灯—亮度设置
    String drcInfraredFillLightEnable(String dockSn, Integer brightness);

    //探照灯—模式设置
    String drcLightModeSet(String dockSn, Integer mode);

    //探照灯—左右角度微调
    String drcLightFineTuningSet(String dockSn, LightFineTuningSet lightFineTuningSet);

    //探照灯—云台校准
    String drcLightCalibration(String dockSn);

    //夜航灯设置
    String drcNightLightsStateSet(String dockSn, Integer state);

    //飞行控制—隐蔽模式
    String drcStealthStateSet(String dockSn, Integer state);

    //负载控制—相机光圈
    String drcCameraApertureValueSet(String dockSn, Integer value);

    //负载控制—相机快门
    String drcCameraShutterSet(String dockSn, Integer value);

    //负载控制—ISO设置
    String drcCameraIsoSet(String dockSn, Integer value);

    //负载控制—机械快门
    String drcCameraMechanicalShutterSet(String dockSn, Integer state);

    //负载控制—镜头去畸变
    String drcCameraDewarpingSet(String dockSn, Integer state);

    //红外照片格式设置
    String drcCameraPhotoFormatSet(String dockSn, Integer format);
}
